%define		_class		OLE
%define		upstream_name	%{_class}
%define		prerel				RC2
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/peardir


Name:		php-pear-%{upstream_name}
Version:	1.0.0
Release:	%mkrel 0.%{prerel}.4
Summary:	Package for reading and writing OLE containers
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/OLE/
Source0:	http://pear.php.net/get/%{upstream_name}-%{version}%{prerel}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildArch:	noarch

%description
This package allows reading and writing of OLE (Object Linking and
Embedding) compound documents. This format is used as container for Excel
(.xls), Word (.doc) and other Microsoft file formats.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/OLE.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/OLE.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/OLE
fi

%files
%{peardir}/*
%{xmldir}/OLE.xml


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.0.0-0.RC2.4.mga6
+ Revision: 942608
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-0.RC2.3.mga5
+ Revision: 740497
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-0.RC2.2.mga5
+ Revision: 687403
- Mageia 5 Mass Rebuild

* Mon Jan 27 2014 colin <colin> 1.0.0-0.RC2.1.mga4
+ Revision: 568426
- Fix version mga#12452

* Sat Oct 19 2013 umeabot <umeabot> 1.0.0RC2-2.mga4
+ Revision: 528226
- Mageia 4 Mass Rebuild

* Mon Jun 17 2013 spuhler <spuhler> 1.0.0RC2-1.mga4
+ Revision: 443868
- upgrade to version 1.0.0RC2
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-0.RC1.4.mga3
+ Revision: 377110
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 1.0.0-0.RC1.3.mga1
+ Revision: 44018
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-OLE


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-0.RC1.3mdv2011.0
+ Revision: 613745
- the mass rebuild of 2010.1 packages

* Sun Nov 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-0.RC1.2mdv2010.1
+ Revision: 469031
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Mon Sep 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-0.RC1.1mdv2010.0
+ Revision: 446164
- new version
- ship missing files

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.6.1-2mdv2010.0
+ Revision: 441500
- rebuild

* Mon Apr 20 2009 Raphaël Gertz <rapsys@mandriva.org> 0.6.1-1mdv2009.1
+ Revision: 368256
- Update php pear OLE to new version 0.6.1

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.5-9mdv2009.1
+ Revision: 322509
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.5-8mdv2009.0
+ Revision: 237039
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.5-7mdv2008.1
+ Revision: 136415
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5-7mdv2007.0
+ Revision: 82495
- Import php-pear-OLE

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5-1mdk
- initial Mandriva package (PLD import)

